//
// XMM Science Analysis System
//
// Giuseppe Vacanti (cosine) 
// November 2000
//
#include <iostream>
#include <Dal.h>
#include <cassert>

int main(int argc, char* argv[])
{
  for(int k = 1; k <= argc; ++k){
    std::string name(argv[k]);
    std::cout << "Looking at " << name << std::endl;
    DataSet* set = dataSetServer->open(name, Dal::Read);
    Table* tab = set->table("RGSOFFSETS");
    assert(tab->rows() == 4);
    ColumnData* col = tab->column("TIMESORT")->data();
    int32* v = col->int32Data();
    assert(v[0] == 88992878);
    assert(v[1] == 88992878);
    assert(v[2] == 89032176);
    assert(v[3] == 89032176);
    delete col;
    dataSetServer->close(set);
  }
}
    
