//
// XMM Science Analysis System
//
// Giuseppe Vacanti (European Space Agency) 
// April 11, 2000
//
// Tests that given no input rgsoffsetcalc generates an empty
// table. This is required for the rgsevents/CAL override procedure
//
#include <Dal.h>
#include <rgsoffsetcalc.h>
#include <metatask.h>
#include <cassert>

int main() {
  const std::vector<std::string> sets(0);
  std::string name = "empty.ds";
  openParameters("rgsoffsetcalc");
  setParameter("sets", sets);
  setParameter("outset", name);
  task(rgsoffsetcalc);
  DataSet *set = dataSetServer->open(name, Dal::Read);
  assert(set->hasBlock("RGSOFFSETS"));
  assert(set->table("RGSOFFSETS")->rows() == 0);
  dataSetServer->close(set);
}
